/* -*- Mode: Javascript; tab-width: 2; c-basic-offset: 2; -*-
 * 
 * The contents of this file are subject to the Netscape Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/NPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Original Code is mozilla.org code.
 *
 * The Initial Developer of the Original Code is Netscape
 * Communications Corporation.  Portions created by Netscape are
 * Copyright (C) 1998 Netscape Communications Corporation. All
 * Rights Reserved.
 *
 * Contributor(s): 
 *
 *  Doug Turner <dougt@acm.org>  
 *  Pete Collins  <petejc@mozdev.org> 
 */

const G_MSG             = "Aphrodite v0.06";
const G_NAME            = "Aphrodite";
const G_VER             = "0.06";
const G_CHROME          = "Chrome";
const G_CONTENT         = "content/";

const G_JAR_FILE        = "aphrodite.jar";
const G_CHROME_DIR      = getFolder(G_CHROME);

const COMNT_1           = "INSTALL FOR APHRODITE AS A JAR . . . \n\nInstall: ";
const COMNT_2           = "Aphrodite Jar";

var err = initInstall(G_MSG, G_NAME, G_VER);

logComment(COMNT_1 + err);

addFile(COMNT_2, G_JAR_FILE,  G_CHROME_DIR, ""  );

registerChrome( CONTENT, 	getFolder(G_CHROME, G_JAR_FILE),  G_CONTENT   );

err = getLastError();

if (err==SUCCESS)
    performInstall();

else
    cancelInstall(err);

